<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.guncrews.lib.refiredelay</name>
<version>303</version>
<engineversion>25</engineversion>
<description>Return the refire delay for a given gun</description>
<arguments>
<argument index="1" name="GunType" type="Var/All Wares" desc="Gun Type" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>--------------------------------------------------------------------------------</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Hired&#160;Gunnery&#160;Crews&#160;version&#160;3.02</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var>Written&#160;by&#160;Kurt&#160;Fitzner-&#160;a.k.a.&#160;Reven</var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>--------------------------------------------------------------------------------</var></comment></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var>Library&#160;routine&#160;to&#160;calculate&#160;exact&#160;refire&#160;delays</var></comment></line>
<line linenr="006" indent=""><comment><text>*&#160;</text><var>--------------------------------------------------------------------------------</var></comment></line>
<line linenr="007" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Impulse&#160;Ray&#160;Emitter</var></line>
<line linenr="008" indent="&#160;"><text>return&#160;</text><var>240</var></line>
<line linenr="009" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Ion&#160;Accelerator&#160;Cannon</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Mass&#160;Driver</var></line>
<line linenr="010" indent="&#160;"><text>return&#160;</text><var>250</var></line>
<line linenr="011" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Pulse&#160;Driver</var></line>
<line linenr="012" indent="&#160;"><text>return&#160;</text><var>261</var></line>
<line linenr="013" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Plasma&#160;Pulse&#160;Thrower</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Particle&#160;Accelerator&#160;Cannon</var></line>
<line linenr="014" indent="&#160;"><text>return&#160;</text><var>273</var></line>
<line linenr="015" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Photon&#160;Energy&#160;Cannon</var></line>
<line linenr="016" indent="&#160;"><text>return&#160;</text><var>300</var></line>
<line linenr="017" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Plasma&#160;Disruptor</var></line>
<line linenr="018" indent="&#160;"><text>return&#160;</text><var>279</var></line>
<line linenr="019" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>High&#160;Energy&#160;Photon&#160;Cannon</var></line>
<line linenr="020" indent="&#160;"><text>return&#160;</text><var>400</var></line>
<line linenr="021" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Pulse&#160;Accelerator</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Particle&#160;Disruptor&#160;Cannon</var></line>
<line linenr="022" indent="&#160;"><text>return&#160;</text><var>451</var></line>
<line linenr="023" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>High&#160;Energy&#160;Plasma&#160;Thrower</var></line>
<line linenr="024" indent="&#160;"><text>return&#160;</text><var>600</var></line>
<line linenr="025" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Ion&#160;Disruptor</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Alpha&#160;Kyon&#160;Emitter</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Beta&#160;Kyon&#160;Emitter</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Gamma&#160;Kyon&#160;Emitter</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Ion&#160;Ray&#160;Cannon</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Plasma&#160;Ray&#160;Thrower</var></line>
<line linenr="026" indent="&#160;"><text>return&#160;</text><var>270</var></line>
<line linenr="027" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Phased&#160;Shockwave&#160;Generator</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Photon&#160;Pulse&#160;Cannon</var></line>
<line linenr="028" indent="&#160;"><text>return&#160;</text><var>4000</var></line>
<line linenr="029" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Plasma&#160;Shockwave&#160;Thrower</var></line>
<line linenr="030" indent="&#160;"><text>return&#160;</text><var>2727</var></line>
<line linenr="031" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Impulse&#160;Ray&#160;Disruptor</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Lasertower&#160;Weapon</var></line>
<line linenr="032" indent="&#160;"><text>return&#160;</text><var>200</var></line>
<line linenr="033" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>War&#160;Driver</var></line>
<line linenr="034" indent="&#160;"><text>return&#160;</text><var>286</var></line>
<line linenr="035" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Impulse&#160;Disruptor</var></line>
<line linenr="036" indent="&#160;"><text>return&#160;</text><var>2000</var></line>
<line linenr="037" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Ion&#160;Pulse&#160;Cannon</var></line>
<line linenr="038" indent="&#160;"><text>return&#160;</text><var>3000</var></line>
<line linenr="039" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$GunType</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Phased&#160;Particle&#160;Accelerator</var></line>
<line linenr="040" indent="&#160;"><text>return&#160;</text><var>4615</var></line>
<line linenr="041" indent=""><text>return&#160;</text><var>500</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.guncrews.lib.refiredelay" /><sval type="int" val="25" /><sval type="string" val="Return the refire delay for a given gun" /><sval type="int" val="303" /><sval type="int" val="0" /><sval type="array" size="1"><sval type="string" val="GunType" /></sval><sval type="array" size="35"><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610612216" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524288" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="240" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610611704" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524289" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524308" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="250" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610611192" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524290" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="261" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610610680" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524291" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524294" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="273" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610168" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524293" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="300" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610609656" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524295" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="279" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610609144" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524296" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="400" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610608632" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524297" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524312" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="451" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608120" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524298" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="600" /></sval><sval type="array" size="73"><sval type="int" val="104" /><sval type="int" val="-1610607608" /><sval type="int" val="23" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524299" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524301" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524302" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524303" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524307" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524318" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="23" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /><sval type="int" val="10" /><sval type="int" val="-8" /><sval type="int" val="0" /><sval type="int" val="-9" /><sval type="int" val="10" /><sval type="int" val="-12" /><sval type="int" val="0" /><sval type="int" val="-13" /><sval type="int" val="10" /><sval type="int" val="-16" /><sval type="int" val="0" /><sval type="int" val="-17" /><sval type="int" val="10" /><sval type="int" val="-20" /><sval type="int" val="0" /><sval type="int" val="-21" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="270" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610607096" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524304" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524316" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="4000" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610606584" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524305" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="2727" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610606072" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524306" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524309" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="200" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610605560" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524313" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="286" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610605048" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524314" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="2000" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524315" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="3000" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604024" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524317" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="4615" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="500" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="42" /><sval type="string" val="Gun Type" /></sval></sval><sval type="array" size="6"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="--------------------------------------------------------------------------------" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Hired Gunnery Crews version 3.02" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Written by Kurt Fitzner- a.k.a. Reven" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="--------------------------------------------------------------------------------" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Library routine to calculate exact refire delays" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="--------------------------------------------------------------------------------" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
